Bug 260207

Summary: www/rubygem-gollum update to latest 5.2.3
Product: Ports & Packages Reporter: Sir l33tname <sirl33tname>
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp, ruby, tj+freebsd_ports
Priority: --- Flags: sirl33tname: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
see commit msg
none
0005-rubygem-gollum-update-4.1.4-5.2.3.patch
none
0001-graphics-rubygem-gemojione-update-3.3.0-4.1.0.patch
none
0002-rubygem-gollum-rugged_adapter-update-0.4.4-1.1.2.patch
none
0003-create-rubygem-mustache-sinatra-port.patch
none
0004-rubygem-gollum-lib-update-4.2.10-5.1.3.patch
none
0004-rubygem-gollum-lib-update-4.2.10-5.1.3.patch
none
patch set in tar.gz
none
patch set in tar.gz
none
patch set in tar.gz none

Description Sir l33tname 2021-12-04 11:52:40 UTC
Created attachment 229878 [details]
see commit msg

There are quite a few changes needed so please give me feedback and test it.

This change:
- updates rubygem-gemojione
- updates rubygem-gollum-rugged_adapter-update
- creates rubygem-mustache-sinatra
- updates rubygem-gollum-lib
- updates rubygem-gollum
Comment 1 Sir l33tname 2021-12-04 11:54:22 UTC
Created attachment 229879 [details]
0005-rubygem-gollum-update-4.1.4-5.2.3.patch
Comment 2 Sir l33tname 2021-12-04 11:54:51 UTC
Created attachment 229880 [details]
0001-graphics-rubygem-gemojione-update-3.3.0-4.1.0.patch
Comment 3 Sir l33tname 2021-12-04 11:55:17 UTC
Created attachment 229881 [details]
0002-rubygem-gollum-rugged_adapter-update-0.4.4-1.1.2.patch
Comment 4 Sir l33tname 2021-12-04 11:55:46 UTC
Created attachment 229882 [details]
0003-create-rubygem-mustache-sinatra-port.patch
Comment 5 Sir l33tname 2021-12-04 11:56:10 UTC
Created attachment 229883 [details]
0004-rubygem-gollum-lib-update-4.2.10-5.1.3.patch
Comment 6 Sir l33tname 2021-12-14 18:42:07 UTC
Created attachment 230119 [details]
0004-rubygem-gollum-lib-update-4.2.10-5.1.3.patch
Comment 7 Sir l33tname 2021-12-24 18:45:30 UTC
Created attachment 230378 [details]
patch set in tar.gz
Comment 8 Sir l33tname 2022-01-23 09:34:33 UTC
Created attachment 231247 [details]
patch set in tar.gz

updates to latest master
Comment 9 Mateusz Piotrowski freebsd_committer 2022-01-23 13:10:40 UTC
Hey, thanks for the patches.

Some feedback on the patches:

- Commit messages follow a slightly different style: usually start with a capital letter like a sentence. Also they should be prefixed with a port's origin and then a colon.  
- COMMENTs should not end with a dot
- Lines in pkg-descr should be under 80 (or less, I don't remember at the moment).
- New ports should be hooked to the build by editing CATEGORY/Makefile


BTW, why is the --live-preview flag gone from the gollum daemon service file?
Comment 10 Sir l33tname 2022-01-23 15:37:31 UTC
Created attachment 231250 [details]
patch set in tar.gz
Comment 11 Sir l33tname 2022-01-23 15:40:32 UTC
Thanks for the feedback update the patch set accordingly. 
Let me know if there is anything else needed or if i missed something.  

> BTW, why is the --live-preview flag gone from the gollum daemon service file?
its not a thing that is supported by the upstream software (https://github.com/gollum/gollum/commit/5aa5bccda3b4f69124500fc74aca076e8d78159d) im guessing because there is a preview tab by default

> Lines in pkg-descr should be under 80 (or less, I don't remember at the moment).

Not really sure what happened there it was wrong anyways. Should be fixed now.
Comment 12 commit-hook freebsd_committer 2022-01-23 15:42:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fef2fa5fd8a2a9e170be66133e9d535a9bc6fd4b

commit fef2fa5fd8a2a9e170be66133e9d535a9bc6fd4b
Author:     Sir l33tname <sirl33tname@gmail.com>
AuthorDate: 2021-12-04 11:36:52 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2022-01-23 15:41:01 +0000

    www/rubygem-gollum: Update 4.1.4 -> 5.2.3

    PR:             260207

 www/rubygem-gollum/Makefile            | 27 +++++++++++++++++++--------
 www/rubygem-gollum/distinfo            |  6 +++---
 www/rubygem-gollum/files/gollum.in     | 12 ++++++------
 www/rubygem-gollum/files/patch-gemspec | 25 ++++++++++++++++---------
 4 files changed, 44 insertions(+), 26 deletions(-)
Comment 13 commit-hook freebsd_committer 2022-01-23 15:42:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=afb9016cac33bcbd0cb5f3a54d0ddeea3091a837

commit afb9016cac33bcbd0cb5f3a54d0ddeea3091a837
Author:     Sir l33tname <sirl33tname@gmail.com>
AuthorDate: 2021-12-04 11:29:38 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2022-01-23 15:40:59 +0000

    www/rubygem-gollum-rugged_adapter: Update 0.4.4 -> 1.1.2

    PR:             260207

 www/rubygem-gollum-rugged_adapter/Makefile                  |  5 ++---
 www/rubygem-gollum-rugged_adapter/distinfo                  |  6 +++---
 www/rubygem-gollum-rugged_adapter/files/patch-gemspec (new) | 13 +++++++++++++
 .../files/patch-gollum-rugged__adapter.gemspec (gone)       | 11 -----------
 4 files changed, 18 insertions(+), 17 deletions(-)
Comment 14 commit-hook freebsd_committer 2022-01-23 15:42:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=644d2ef109a340cdf0d19561117db3d9e63b52f7

commit 644d2ef109a340cdf0d19561117db3d9e63b52f7
Author:     Sir l33tname <sirl33tname@gmail.com>
AuthorDate: 2021-12-04 11:34:44 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2022-01-23 15:41:01 +0000

    www/rubygem-gollum-lib: Update 4.2.10 -> 5.1.3

    PR:             260207
    Approved by:    ruby (maintainer timeout)

 www/rubygem-gollum-lib/Makefile                         | 17 +++++++++--------
 www/rubygem-gollum-lib/distinfo                         |  6 +++---
 www/rubygem-gollum-lib/files/patch-gemspec (gone)       | 13 -------------
 www/rubygem-gollum-lib/files/patch-gemspec.rb (new)     | 11 +++++++++++
 .../files/patch-gollum-lib.gemspec (new)                | 11 +++++++++++
 5 files changed, 34 insertions(+), 24 deletions(-)
Comment 15 commit-hook freebsd_committer 2022-01-23 15:42:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ed2008f2df1ff2010c5d0bf05c4c38d62091e4f0

commit ed2008f2df1ff2010c5d0bf05c4c38d62091e4f0
Author:     Sir l33tname <sirl33tname@gmail.com>
AuthorDate: 2021-12-04 11:27:29 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2022-01-23 15:40:59 +0000

    graphics/rubygem-gemojione: Update 3.3.0 -> 4.1.0

    PR:             260207

 graphics/rubygem-gemojione/Makefile | 2 +-
 graphics/rubygem-gemojione/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 16 commit-hook freebsd_committer 2022-01-23 15:42:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=55ff7ef8b3596416cd1910518e7e97393dd8221c

commit 55ff7ef8b3596416cd1910518e7e97393dd8221c
Author:     Sir l33tname <sirl33tname@gmail.com>
AuthorDate: 2021-12-04 11:31:05 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2022-01-23 15:41:00 +0000

    devel/rubygem-mustache-sinatra: Add a new port

    PR:             260207

 devel/Makefile                                 |  1 +
 devel/rubygem-mustache-sinatra/Makefile (new)  | 18 ++++++++++++++++++
 devel/rubygem-mustache-sinatra/distinfo (new)  |  3 +++
 devel/rubygem-mustache-sinatra/pkg-descr (new) |  9 +++++++++
 4 files changed, 31 insertions(+)
Comment 17 Po-Chuan Hsieh freebsd_committer 2022-01-23 23:12:27 UTC
Hi,

Please complete the following changes before closing this PR.

1. Add back the upper bound to RUN_DEPENDS
For example, "gemojione ~> 4.1" should be written as "rubygem-gemojione>=4.1<5:graphics/rubygem-gemojione" instead of "rubygem-gemojione>=4.1:graphics/rubygem-gemojione".
It makes easier to check dependent ports to avoid breakage while updating rubygem ports.

2. Remove duplicate graphics/rubygem-gemojione in www/rubygem-gollum-lib/Makefile

3. Fix the inconsistency between Makefile and gemspec, e.g. rugged in www/rubygem-gollum-rugged_adapter

4. It would be better to make minimal changes to gemspec
Take www/rubygem-gollum-rugged_adapter for example, it's sufficient to change mime-types from "~> 1.15" to ">= 1.15".

Thanks.
Comment 18 Mateusz Piotrowski freebsd_committer 2022-01-25 00:07:51 UTC
(In reply to Po-Chuan Hsieh from comment #17)

Thank you for reviewing the changes!

@Sir l33tname, could you submit a patch addressing those issues?
Comment 19 Thibault Jouan 2022-01-26 11:59:12 UTC
Hi,                 
 
  I'm updating a patch to update RubyGems (devel/ruby-gems,            
bug #258108). Most of the work is about updating our own gem           
specification patches (Recent RubyGems changed the output format for   
gem specifications). `www/rubygem-gollum-lib' is one of those gem      
ports which have a gem specification patch, so I have to keep it       
updated.                                                               

  But I now notice there are now two different patches:

    www/rubygem-gollum-lib/files/patch-gemspec.rb
    www/rubygem-gollum-lib/files/patch-gollum-lib.gemspec

  I noticed some ports use the generic `patch-gemspec.rb' filename,
others are based on the original filename (if there is a
reason/convention, I'm happy to learn it). Here I guess maybe only one
is used, or is it necessary to have both?
Comment 20 Sir l33tname 2022-01-31 20:42:53 UTC
Thanks Thibault Jouan! I created bug #261637 to address the duplicated file.

> I noticed some ports use the generic `patch-gemspec.rb' filename,
others are based on the original filename (if there is a
reason/convention, I'm happy to learn it).

For that part i think the generic filename is best practice, but thats me guessing.
Comment 21 commit-hook freebsd_committer 2022-03-30 22:27:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8a386a3ae78ba534aa18512b44f699c2f5ca50c8

commit 8a386a3ae78ba534aa18512b44f699c2f5ca50c8
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-03-30 22:17:28 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-03-30 22:21:50 +0000

    www/rubygem-gollum-lib: Fix 644d2ef109a340cdf0d19561117db3d9e63b52f7

    - Fix RUN_DEPENDS: Remove duplicate graphics/rubygem-gemojione and textproc/rubygem-github-markup
    - Update version requirement of RUN_DEPENDS to match upstream
    - Sort RUN_DEPENDS
    - Update patch-gemspec: Update octicons after rubygem-octicons 17.0.0 update
    - Rename gemspec patch to patch-gemspec
    - Bump PORTREVISION for dependency and package change

    PR:             260207

 www/rubygem-gollum-lib/Makefile                        | 18 ++++++++----------
 .../files/{patch-gollum-lib.gemspec => patch-gemspec}  |  4 ++--
 2 files changed, 10 insertions(+), 12 deletions(-)
Comment 22 commit-hook freebsd_committer 2022-03-30 22:27:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6987652045875bd891ebc8710ac5b8163818f9b5

commit 6987652045875bd891ebc8710ac5b8163818f9b5
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-03-30 22:18:10 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-03-30 22:21:53 +0000

    www/rubygem-gollum: Fix fef2fa5fd8a2a9e170be66133e9d535a9bc6fd4b

    - Fix RUN_DEPENDS:
      - Change from rubygem-sprockets to rubygem-sprockets3
      - Remove duplicate misc/rubygem-octicons
      - Remove superfluous devel/rubygem-mustache0
    - Update version requirement of RUN_DEPENDS to match upstream
    - Sort RUN_DEPENDS
    - Update patch-gemspec:
      - Update octicons after rubygem-octicons 17.0.0 update
      - Remove uglifier after rubygem-uglifier 4.2.0 update
    - Avoid using %% in Makefile
    - Bump PORTREVISION for dependency and package change

    PR:             260207
    With hat:       ruby

 www/rubygem-gollum/Makefile            | 35 +++++++++++++++++-----------------
 www/rubygem-gollum/files/patch-gemspec |  7 +++----
 2 files changed, 20 insertions(+), 22 deletions(-)
Comment 23 commit-hook freebsd_committer 2022-04-16 04:25:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1e6a2233f80d96fad0a8df0eefd6359470bb661c

commit 1e6a2233f80d96fad0a8df0eefd6359470bb661c
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-04-16 04:08:56 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-04-16 04:19:48 +0000

    www/rubygem-gollum-rugged_adapter: Fix afb9016cac33bcbd0cb5f3a54d0ddeea3091a837

    - Update version requirement of RUN_DEPENDS to match upstream
    - Minimize the change of patch-gemspec
    - Bump PORTREVISION for package change

    PR:             260207

 www/rubygem-gollum-rugged_adapter/Makefile            | 5 +++--
 www/rubygem-gollum-rugged_adapter/files/patch-gemspec | 4 ++--
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 24 Po-Chuan Hsieh freebsd_committer 2022-04-17 03:46:23 UTC
(In reply to Po-Chuan Hsieh from comment #17)

All 3 ports are fixed now.